Kuest Docs

Get Market By Slug

Returns a single Gamma-compatible market by slug

Get Help
GET
/markets/slug/{slug}

Path Parameters

slug*string

Resource slug.

Query Parameters

creator?string

Optional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.

Response Body

The market was found.

application/json
  1. response
id*string
question?string
conditionId*string
mirrorConditionId?string

Polymarket condition identifier paired with conditionId. Omitted when the market is not a Polymarket mirror or the value is unavailable.

slug?string
resolutionSource?string
startDate?string
Formatdate-time
endDate?string
Formatdate-time
image?string
icon?string
description?string
outcomes?string
clobTokenIds?string
mirrorClobTokenIds?string

JSON-encoded array of Polymarket token identifiers. Each item at index i is paired with clobTokenIds[i]. Omitted when the market is not a Polymarket mirror or a complete positional token mapping is unavailable.

active?boolean
closed?boolean
archived?boolean
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
questionID?string
events?array<>
[key: string]?any
curl -X GET 'https://gamma-api-staging.kuest.com/markets/slug/presidential-election-winner-2028'
{  "id": "string",  "question": "string",  "conditionId": "string",  "mirrorConditionId": "string",  "slug": "string",  "resolutionSource": "string",  "startDate": "2019-08-24T14:15:22Z",  "endDate": "2019-08-24T14:15:22Z",  "image": "string",  "icon": "string",  "description": "string",  "outcomes": "string",  "clobTokenIds": "string",  "mirrorClobTokenIds": "string",  "active": true,  "closed": true,  "archived": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "questionID": "string",  "events": [    {      "id": "string",      "ticker": "string",      "slug": "string",      "title": "string",      "description": "string",      "resolutionSource": "string",      "startDate": "2019-08-24T14:15:22Z",      "creationDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "image": "string",      "icon": "string",      "active": true,      "closed": true,      "archived": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}